/* $Id: thread.h 9558 2007-04-04 03:21:14Z belugas $ */

/** @file thread.h */

#ifndef THREAD_H
#define THREAD_H

struct OTTDThread;

typedef void* (*OTTDThreadFunc)(void*);

OTTDThread* OTTDCreateThread(OTTDThreadFunc, void*);
void*       OTTDJoinThread(OTTDThread*);
void        OTTDExitThread();

#endif /* THREAD_H */
